Name: H5Pset_family_offset
Signature:
  herr_t `H5Pset_family_offset` ( hid_t `fapl_id`, hsize_t `offset` )
Purpose:
  Sets offset property for low-level access to a file in a family of files.
Description:
  `H5Pset_family_offset` sets the offset property in the file access property list `fapl_id` so that the user application can retrieve a file handle for low-level access to a particular member of a family of files. The file handle is retrieved with a separate call to `H5Fget_vfd_handle` (or, in special circumstances, to `H5FDget_vfd_handle`; see Virtual File Layer and List of VFL Functions in HDF5 Technical Notes).

  The value of `offset` is an offset in bytes from the beginning of the HDF5 file, identifying a user-determined location within the HDF5 file. The file handle the user application is seeking is for the specific member-file in the associated family of files to which this offset is mapped.

  Use of this function is only appropriate for an HDF5 file written as a family of files with the `FAMILY` file driver.

Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
hsize_t `offset` | IN: Offset in bytes within the HDF5 file.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_family_offset_f

      SUBROUTINE h5pset_family_offset_f(prp_id, offset, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: prp_id   ! Property list identifier
        INTEGER(HSIZE_T), INTENT(IN) :: offset   ! Offset in bytes
        INTEGER, INTENT(OUT)         :: hdferr   ! Error code
                                                 ! 0 on success and -1 on failure

      END SUBROUTINE h5pset_family_offset_f

History:

Release | C
1.6.0 | Function introduced in this release.